package com.mirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.mirs.common.annotation.Excel;
import com.mirs.common.core.domain.BaseEntity;

/**
 * 样片管理对象 biz_sample_t
 * 
 * @author kk
 * @date 2025-04-27
 */
public class Sample extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String dataType;

    /** 样片类型 */
    @Excel(name = "样片类型")
    private String sampleType;

    /** 样片型号 */
    @Excel(name = "样片型号")
    private String sampleModel;

    /** 样片图片 */
    @Excel(name = "样片图片")
    private String sampleImage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setSampleType(String sampleType) 
    {
        this.sampleType = sampleType;
    }

    public String getSampleType() 
    {
        return sampleType;
    }
    public void setSampleModel(String sampleModel) 
    {
        this.sampleModel = sampleModel;
    }

    public String getSampleModel() 
    {
        return sampleModel;
    }
    public void setSampleImage(String sampleImage) 
    {
        this.sampleImage = sampleImage;
    }

    public String getSampleImage() 
    {
        return sampleImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataType", getDataType())
            .append("sampleType", getSampleType())
            .append("sampleModel", getSampleModel())
            .append("sampleImage", getSampleImage())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
